<ion-header>
  <ion-toolbar>
    <ion-title>{{"SETTING" | translate}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content color="backgray">
  
  <div class="upload">
    <div class="image"></div>
  </div>
  
  <div class="profile">
    <ion-card no-margin *ngFor="let profile of profiles">
      <ion-card-content>
          <h2 style="color: white;" class="fw500">{{profile.email}}</h2>
          <p style="color: white;">{{"DEVICE_NUMBER" | translate}} : {{ device }}</p>
      </ion-card-content>
    </ion-card>
  </div>

  <div padding>
    <ion-item lines="none" color="backgray">
      <ion-label color="dark">{{"VESSEL_INPUT" | translate}}</ion-label>
      <ion-button size="default" color="slackSub" (click)="onEditCloseItems()">
        <ion-icon name="create" *ngIf="isEditItems"></ion-icon>
        <ion-icon name="close" *ngIf="!isEditItems"></ion-icon>
      </ion-button>
    </ion-item>
    <div *ngIf="isEditItems">
      <ion-list *ngFor="let common of commons">
        <ion-item class="input-font" >
            <ion-label fixed>{{"VESSEL_MASS" | translate}}</ion-label>
            <ion-label>{{common.mass}}</ion-label>
            <span item-right>g</span>      
        </ion-item>
        <ion-item>
            <ion-label>{{"VESSEL_MASS_FILLED_WITH_WATER" | translate}}</ion-label>
            <ion-label>{{common.water}}</ion-label>
            <span item-right>g</span>
        </ion-item>
        <ion-item>
            <ion-label>{{"VESSEL_VOLUME" | translate}}</ion-label>
            <ion-label>{{ common.water - common.mass }}</ion-label>
            <span>mL</span>
        </ion-item>
        <ion-item>
            <ion-label>{{"VESSEL_INPUT_DATE" | translate}}</ion-label>
            <ion-label>{{ common.input_date }}</ion-label>
        </ion-item>
      </ion-list>
    </div>
    <div *ngIf="!isEditItems">
        <ion-list>
            <form [formGroup]="commonForm">
              <ion-item lines="none" text-center>
                <ion-label color="primary" class="g-text"><b>{{realtime}} g</b></ion-label>
              </ion-item>
              <ion-item class="input-font" >
                  <ion-label fixed>{{"VESSEL_MASS" | translate}}</ion-label>
                  <ion-input (ionFocus)="checkConnection(scaleUUID)" type="number" placeholder="(g)" formControlName="mass" readonly></ion-input>
                  <ion-button color="slackSub" id="mass" (click)="apply($event)">{{ "APPLY" | translate }}</ion-button>
              </ion-item>
              <ion-item>
                  <ion-label>{{"VESSEL_MASS_FILLED_WITH_WATER" | translate}}</ion-label>
                  <ion-input type="number" placeholder="(g)" formControlName="water" readonly></ion-input>
                  <ion-button color="slackSub" id="water" (click)="apply($event)">{{ "APPLY" | translate }}</ion-button>
              </ion-item>
              <!--
              <ion-item>
                  <ion-label>{{"VESSEL_VOLUME" | translate}}</ion-label>
                  <ion-input type="number" [value]=commons[0].water-commons[0].mass readonly></ion-input>
                  <span>mL</span>
              </ion-item>
              -->
              <ion-button class="button button-block button-calm ink" data-ink-color="#9DEAFF" data-ink-opacity="1" (click)="onSubmit(commonForm.value)" fill="outline">{{"UPDATE" | translate}}</ion-button> 
            </form>
        </ion-list>
    </div>
  </div>

  <ion-item lines="none">{{"SETTING" | translate}}</ion-item>
  <ion-list lines="none" class="app-list" mode="md">
    <!--
    <ion-item [routerLink]="['/app/bluetooths']">
      <ion-icon slot="start" name="bluetooth"></ion-icon>
      <ion-label>
      <h2>{{"BLUETOOTH_SETTING" | translate}}</h2>
      </ion-label>
    </ion-item>
    -->
    <ion-item [routerLink]="['/app/bluetooth']">
      <ion-icon slot="start" name="bluetooth"></ion-icon>
      <ion-label>
      <h2>{{"BLUETOOTH_SETTING" | translate}}</h2>
      </ion-label>
    </ion-item>
    <ion-item (click)="changePassword()">
      <ion-icon slot="start" name="create"></ion-icon>
      <ion-label>
        <h2>{{"CHANGE_PASSWORD" | translate}}</h2>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon slot="start" name="globe"></ion-icon>
      <ion-label>
        <h2>{{"LANGUAGE_SETTINGS" | translate}}</h2>
      </ion-label>
      <ion-select [(ngModel)]="languageSelected" (ionChange)="setLanguage()" okText="{{ 'CHOOSE' | translate }}" cancelText="{{ 'CANCEL' | translate }}">
        <ion-select-option *ngFor="let item of languages" [value]="item.code">
          {{item.name}}
        </ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item-divider lines="none"></ion-item-divider>
    <ion-item button (click)="onLoggedout()">
      <ion-icon slot="start" name="log-out"></ion-icon>
      <ion-label>
        <h2>{{"LOGOUT" | translate}}</h2>
      </ion-label>
    </ion-item>  
  </ion-list>
</ion-content>
<ion-footer>
    <p align="center">
      {{versionNumber}}
    </p>
</ion-footer>
